Name:		glue-schema
Version:	2.0.6
Release:	1%{?dist}
Summary:	LDAP schema files for the GLUE Schema
Group:		Development/Tools
License:	ASL 2.0
URL:		http://forge.ogf.org/sf/projects/glue-wg
#		The source tarball is created from a svn checkout:
#		svn co http://svnweb.cern.ch/guest/gridinfo/glue-schema/tags/R_2_0_4 glue-schema-2.0.6
#		tar -z -c --exclude .svn -f glue-schema-2.0.6.tar.gz glue-schema-2.0.6
Source:		%{name}-%{version}.tar.gz
Source1:	http://www.ogf.org/documents/GFD.147.pdf
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
The GLUE specification is an information model for Grid entities such
as computing clusters and data storage facilities. As a conceptual
model, it is designed to be independent from the concrete data models
adopted for its implementation. The specification can be rendered to
several concrete data models such as XML Schema, LDAP Schema or SQL.

This package provides LDAP schema files for GLUE Schema version 2.0.

%package doc
Summary:	The GLUE Schema version 2.0 specification
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
The GLUE Schema version 2.0 specification (GFD.147)

%prep
%setup -q

%build 
# Nothing to build

install -m 644 -p %{SOURCE1} .

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_sysconfdir}/ldap/schema
install -m 644 -p etc/ldap/schema/* %{buildroot}/%{_sysconfdir}/ldap/schema

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/ldap
%doc debian/copyright

%files doc
%defattr(-,root,root,-)
%doc GFD.147.pdf

%changelog
* Fri Jun 18 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.6-1
- Update to release 2.0.6
- Change license tag to ASL 2.0 to reflect upstream license change

* Thu Apr 08 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.4-2
- Add missing Group tag in doc subpackage

* Sun Apr 04 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.4-1
- Update to release 2.0.4
- Create doc subpackage containing the GLUE schema specification

* Thu Mar 25 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.3-3.448
- Use proper anonymous svn checkout instead of svnweb generated tarball

* Fri Feb 26 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.3-2.448
- Update (svn revision 448)

* Fri Feb 12 2010 Mattias Ellert <mattias.ellert@fysast.uu.se> - 2.0.3-1
- Updated packaging

* Fri Jul 10 2009 Laurence Field <laurence.field@cern.ch> -  2.0.1-1
- First release
